Bug 226284 - Merge Review: perl-XML-Dumper
Merge Review: perl-XML-Dumper
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:38 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 05:38:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:38:30 EST
Fedora Merge Review: perl-XML-Dumper

http://cvs.fedora.redhat.com/viewcvs/devel/perl-XML-Dumper/
Initial Owner: rnorwood@redhat.com
Comment 1 Parag AN(पराग) 2007-10-22 03:21:24 EDT
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 1:5.6.1
2)drop "|| :" from %check
3)you may like to keep simple disttag as "2%{dist}" only.
4)rpmlint only complained ->
perl-XML-Dumper.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 3)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
==> Use "sed -i -e 's|\t|  |g' perl-XML-Dumper"

perl-XML-Dumper.noarch: W: file-not-utf8 /usr/share/doc/perl-XML-Dumper-0.81/README
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).
==> use iconv command 

Comment 2 Robin Norwood 2007-10-25 00:23:24 EDT
Fixed all of the above issues

New version is 0.81-3.fc9
Comment 3 Parag AN(पराग) 2007-10-25 01:08:24 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
10726bbe78bef5e4264d5f57533da7c1  XML-Dumper-0.81.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/00_syntax..................ok
t/01_simple_datatypes........ok
t/02_circular_references.....ok
t/03_objects.................ok
t/04_callbacks...............okt/05_file_io.................ok
t/06_compression.............ok
t/07_dtd.....................ok
t/08_utf8....................ok
t/09_repeated_references.....ok
t/10_backwards_compatible....ok
t/11_control_characters......ok
t/12_class_loading...........ok
t/13_untaint_classnames......ok
t/14_overloading.............ok
t/15_oo_cmp_ident............ok
t/handle_undef...............ok
t/oo_style...................ok
t/scalar_literals............ok
All tests successful.
Files=19, Tests=53,  3 wallclock secs ( 2.51 cusr +  0.36 csys =  2.87 CPU)
+ Package  perl-XML-Dumper-0.81-3.fc8 ->
  Provides: perl(XML::Dumper) = 0.81
  Requires: perl(:MODULE_COMPAT_5.8.8)
APPROVED.


Comment 4 Parag AN(पराग) 2007-11-11 02:04:11 EST
Can we CLOSE this review if package is already built and in rawhide?

Note You need to log in before you can comment on or make changes to this bug.